player = {}
player.x = width/2
player.y = height/2
player.dx = 0
player.dy = 0
player.w = 25
player.h = 25
player.speed = 200
player.path = false
player.goal = {}

function player:draw()
	gr.setColor(255, 255, 255, 255)
	gr.rectangle("fill", self.x, self.y, self.w, self.h)
end

function player:update(dt)
	if self.path then
		player:moveto(self.goal, dt)
	end
end

function player:moveto(goal, dt)
	local theta = math.atan2((goal.y) - (self.y+(self.h/2)), (goal.x) - (self.x+(self.w/2)))
	self.dx = self.speed * math.cos(theta)
	self.dy = self.speed * math.sin(theta)
	self.x = self.x + (self.dx*dt)
	self.y = self.y + (self.dy*dt)
	if boxCollision(self.x, self.y, 3, 3, goal.x, goal.y, 3, 3) then
		self.path = false
	end
end

function player:mousepress(x, y, button)
	if button == "l" then
	elseif button == "r" then
        
	end
end

function player:keypress(key, uni)

end